--reconstructed from fragments of linj's summit downside scripts
function onBegin()
	
	makeUnskippable()

	disableRetry()

	while true do
		disablePause()
		waitUntilOnGround()
		enablePause()
		wait()
	end

end
